%define major 0
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Summary:	Library assetml to share and reuse content like image and audio file
Name: 		assetml
Version: 	1.2.1
Release: 	%mkrel 19
License: 	GPLv2+
Group: 		System/Libraries
URL:		https://ofset.sourceforge.net/assetml
Source:		https://download.sourceforge.net/ofset/lib%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(popt)
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	glibc-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	texi2html
BuildRequires:	texinfo
BuildRequires:	gettext-devel

%description
This is a library based on an XML file format that is used to share and reuse
content like image and audio file.

Application using this library can query files on their system that provides an
assetml xml file description.

%package -n %{libname}
Summary:	Library assetml to share image and audio file between project
Group:		System/Libraries

%description -n %{libname}
AssetML Library.

%package  -n %{libnamedev}
Summary:	Devel Library assetml to share image and audio file between project
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}assetml0-devel < 1.2.1-9

%description -n %{libnamedev}
AssetML Devel Library

%prep
%setup -q -n lib%{name}-%{version}

%build
# to recognize aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang lib%{name} --with-gnome

%files -f lib%{name}.lang
%doc AUTHORS ChangeLog README THANKS
%{_bindir}/assetml-query
%{_infodir}/lib%{name}.info.*

%files -n %{libname}
%{_libdir}/libassetml.so.%{major}
%{_libdir}/libassetml.so.%{major}.*

%files -n %{libnamedev}
%{_libdir}/libassetml.so
%{_includedir}/libassetml-1.0/
%{_libdir}/pkgconfig/libassetml.pc


%changelog
* Sun Mar 16 2025 wally <wally> 1.2.1-19.mga10
+ Revision: 2164729
- rebuild for libxml2 2.13.6

* Fri Mar 18 2022 umeabot <umeabot> 1.2.1-18.mga9
+ Revision: 1798631
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 ovitters <ovitters> 1.2.1-17.mga8
+ Revision: 1616873
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Wed Feb 12 2020 umeabot <umeabot> 1.2.1-16.mga8
+ Revision: 1510446
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 1.2.1-15.mga7
+ Revision: 1294996
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 wally <wally> 1.2.1-14.mga7
+ Revision: 1234534
- fix build on aarch64

* Fri Feb 05 2016 umeabot <umeabot> 1.2.1-13.mga6
+ Revision: 936566
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-12.mga5
+ Revision: 745228
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-11.mga5
+ Revision: 677999
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-10.mga4
+ Revision: 532644
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 1.2.1-9.mga4
+ Revision: 469133
- drop major from devel pkg name
- tighten deps
- add more general provides to devel pkg
- disable static build and drop .la files
- clean file list
- use makeinstall_std macro
- use find_lang macro with --with-gnome

* Fri Jan 11 2013 umeabot <umeabot> 1.2.1-8.mga3
+ Revision: 346467
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 04 2011 ennael <ennael> 1.2.1-7.mga1
+ Revision: 63806
- clean spec file
- imported package assetml


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-7mdv2011.0
+ Revision: 616614
- the mass rebuild of 2010.0 packages

* Mon Jun 22 2009 Jérôme Brenier <incubusss@mandriva.org> 1.2.1-6mdv2010.0
+ Revision: 388026
- fix build (use configure2_5x)
- fix license tag

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 1.2.1-5mdv2009.0
+ Revision: 226184
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.2.1-4mdv2008.1
+ Revision: 140690
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Nov 15 2006 Lenny Cartier <lenny@mandriva.com> 1.2.1-4mdv2007.0
+ Revision: 84433
- Import assetml

